Update Proposed Security Policy

Update Proposed Security Policy
Update proposed security policy

Updates a proposed security policy. Writable fields are publish_action, display_name, and description. The request body must include the current revision value for optimistic concurrency control.

Notes

  • Publish preconditions: PUBLISH is a no-op if the policy is already published successfully or
  • if publication is already in progress. All groups referenced by the policy's rules must be
  • published before PUBLISH is accepted. CANCEL_PUBLISH attempts to cancel any ongoing
  • publication; if no publication is in progress, it is a no-op.
  • Returns 202 on success
Request
URI
PUT
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies/{policy-id}
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session.

string
policy-id
Required  

Unique identifier of the proposed security policy.


Request Body

Security policy update. Only publish_action, display_name, and description are writable; all other fields are ignored. The revision field is required for optimistic concurrency control. The policy_type field must be included as the discriminator to identify the concrete schema but cannot be changed.

ProposedSecurityPolicy of type(s) application/json
Required  
This request body class requires all of the following: PolicyManagedResource , InlineProposedSecurityPolicy1
{
    "revision": 2,
    "policy_type": "ENVIRONMENT",
    "publish_action": "PUBLISH",
    "display_name": "SSP_US_AZ1_Dev"
}
Authentication
This operation uses the following authentication methods.
Responses
202

Update accepted and processing asynchronously

Returns AsyncApiResponse of type(s) application/json
{
    "id": "250f9f29-d983-3bab-9ed1-1bc61c21010a",
    "status_url": "/segmentation/aa68674c-f114-43fc-9ee0-ec6d9cf81d01/results/proposed-security-policies/250f9f29-d983-3bab-9ed1-1bc61c21010a/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"policy_type":"string"}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies/{policy-id}